Subject: Re: Problems with Libtiff, Libpng
From: GRENON Richard <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 08 Aug 2000 10:47:20 +0200

Tom Weichmann wrote:
>
> Hello,
>
> I may have found a problem with LIBZ.DLL.  When using a binary
> distribution of Windowmaker from the xfree project, I get an error.
> When running 'wmaker' I get a dialog box stating:
>
> Error Starting Program
> The LIBTIFF.DLL file is linked to missing export LIBZ.DLL:inflateInit_

>
> The same error occurs in regards to LIBPNG as well.
>
> I am running cygwin 1.1.3 on Win98

I had similar problems with the OpendDX Cygwin binary from
www.opendx.org, first with LIBZ.DLL when I was using Cygwin1.1.2 and
Suhaib Siddiqi helped me to solve this problem (See opendx-users mailing
list). Then I had a new problem with LIBPNG.DLL when I updated to Cygwin
1.1.4.

With Cygwin 1.1.2 I had to rename the LIBZ.DLL from the Cygwin
distribution to make OpenDX use its own LIBZ.DLL or the X11R6 LIBZ.DLL
(both seem identical). Check for all LIBZ.DLL on your hard drive. You
should at least try the X11R6 one. If you don't want to rename or remove
the Cygwin LIBZ.DLL, maybe you can modify the PATH so as the correct dll
is found first.

When I updated to Cygwin 1.1.4, LIBZ.DLL from the Cygwin distribution
was working with OpenDX, but not LIBPNG.DLL. As the OpenDX binary has no
LIBPNG.DLL it should use the Cygwin one. Cygwin 1.1.4 installed
libpng-1.0.8-1 and I had to re-install the old Cygwin libpng-1.0.6-1 in
order to keep OpenDX working.

I hope this could help you.

--
 Richard GRENON
 ONERA
 Departement d'Aerodynamique Appliquee - DAAP/ACI
 BP 72, 92322 CHATILLON CEDEX - FRANCE
 phone : +33 1 46 73 42 17
 fax   : +33 1 46 73 41 46
 mailto:[email-masked]
 http://www.onera.fr

--
Want to unsubscribe from this list?
Send a message to [email-masked]